<template lang="pug">
span(v-if='$butils.isNil(user)') {{ id }}
router-link.text-primary.clickable(v-else :to='getRoute("/users/" + id)' :title="`${user.firstName} ${user.lastName}`")
  slot
    span {{ $butils.isEmpty(user.login) ? `${user.firstName} ${user.lastName}` : user.login }}
</template>
<script>

export { default } from './UserLink.vue.js';

</script>
